Post by JNeuhoff » Wed Dec 10, 2014 6:17 pm

farbodkain wrote:hi first thanks for your great tools. i try to use "opencart-1-5-1-to-1-5-6-x-export-import-multilingual-2-19" in my site but i don't know why give me error. i tried some guide on other site, but none of them work . i really appreciate to help me fix it. here it is my error on log system :
2014-12-10 11:37:05 - PHP Warning: set_time_limit(): Cannot set time limit in safe mode in /home/hameloni/domains/hamelon.ir/public_html/admin/model/tool/export_import.php on line 4927
2014-12-10 11:37:05 - PHP Warning: realpath(): SAFE MODE Restriction in effect. The script whose uid is 574 is not allowed to access /tmp owned by uid 0 in /home/hameloni/domains/hamelon.ir/public_html/system/PHPExcel/Classes/PHPExcel/Shared/File.php on line 175
2014-12-10 11:37:05 - PHP Warning: tempnam(): Unable to access in /home/hameloni/domains/hamelon.ir/public_html/system/PHPExcel/Classes/PHPExcel/Writer/Excel2007.php on line 197
2014-12-10 11:37:05 - PHP Warning: ZipArchive::open(): Unable to access php://output in /home/hameloni/domains/hamelon.ir/public_html/system/PHPExcel/Classes/PHPExcel/Writer/Excel2007.php on line 239
2014-12-10 11:37:05 - PHP Warning: ZipArchive::open(): Unable to access php://output in /home/hameloni/domains/hamelon.ir/public_html/system/PHPExcel/Classes/PHPExcel/Writer/Excel2007.php on line 240
2014-12-10 11:37:05 - PHP PHPExcel_Writer_Exception: Could not open php://output for writing. in /home/hameloni/domains/hamelon.ir/public_html/system/PHPExcel/Classes/PHPExcel/Writer/Excel2007.php on line 241
Ask your webhost to remove the restriction, to allow the usage of the set_time_limit function in PHP. Also ask them to install the PHP ZIP-library. If they can't do it, find another webhost which actually provides a standard PHP configuration.

MHC Web Design
Override Engine * Integrated VQMod * Multilingual SEO * Instant Option Price Calculator * TrustPilot Reviews * Download Options * Free Download Buttons * Export/Import Tool * Template Switcher PHP/Twig


User avatar
Expert Member

Posts

Joined
Wed Dec 05, 2007 3:38 am


Post by Ma57eR » Thu Dec 11, 2014 6:34 pm

JNeuhoff wrote: In file admin/model/tool/export_import.php, modify the following methods:

storeProductOptionValueIntoDatabase
uploadProductOptionValues
validateProductOptionValues

getProductOptionValues
populateProductOptionValuesWorksheet
Working like a charm! Thanks for help and fantastic work!

Newbie

Posts

Joined
Fri Oct 24, 2014 8:17 pm

Post by icedge » Fri Dec 12, 2014 1:18 am

Hello,
I use extension : opencart-1-5-1-to-1-5-6-x-export-import-multilingual-2-19

I have a problem when export products from OC 1.5.2.1 and try to import them into OC 1.5.6.4.

I have success with importing products, but when i open frontend category with products i have this errors :

Warning: mysqli::query() [mysqli.query]: (21000/1242): Subquery returns more than 1 row in /home/xxx/public_html/new/system/database/mysqli.php on line 17
Fatal error: Uncaught exception 'ErrorException' with message 'Error: Subquery returns more than 1 row<br />Error No: 1242<br />SELECT DISTINCT *, pd.name AS name, p.image, m.name AS manufacturer, (SELECT price FROM oc6684_product_discount pd2 WHERE pd2.product_id = p.product_id AND pd2.customer_group_id = '1' AND pd2.quantity = '1' AND ((pd2.date_start = '0000-00-00' OR pd2.date_start < NOW()) AND (pd2.date_end = '0000-00-00' OR pd2.date_end > NOW())) ORDER BY pd2.priority ASC, pd2.price ASC LIMIT 1) AS discount, (SELECT price FROM oc6684_product_special ps WHERE ps.product_id = p.product_id AND ps.customer_group_id = '1' AND ((ps.date_start = '0000-00-00' OR ps.date_start < NOW()) AND (ps.date_end = '0000-00-00' OR ps.date_end > NOW())) ORDER BY ps.priority ASC, ps.price ASC LIMIT 1) AS special, (SELECT points FROM oc6684_product_reward pr WHERE pr.product_id = p.product_id AND customer_group_id = '1') AS reward, (SELECT ss.name FROM oc6684_stock_status ss WHERE ss.stock_status_id = p.stock_status_id AND ss.language_id in /home/xxx/public_html/new/system/database/mysqli.php on line 41

Can you help me?

New member

Posts

Joined
Sun Oct 24, 2010 2:32 am

Post by JNeuhoff » Fri Dec 12, 2014 1:35 am

Delete all products and categories first before the Import, your DB must be corrupted somehow.

MHC Web Design
Override Engine * Integrated VQMod * Multilingual SEO * Instant Option Price Calculator * TrustPilot Reviews * Download Options * Free Download Buttons * Export/Import Tool * Template Switcher PHP/Twig


User avatar
Expert Member

Posts

Joined
Wed Dec 05, 2007 3:38 am


Post by icedge » Fri Dec 12, 2014 2:42 am

JNeuhoff wrote:Delete all products and categories first before the Import, your DB must be corrupted somehow.
I try delete all categories, and products and the problem is the same. When i export demo products from opencart 1.5.6.4 and import the in to same opencart 1.5.64 with option to delete all products and import them there is no problem. When i import products from OC 1.5.2.1 the errors appears.

New member

Posts

Joined
Sun Oct 24, 2010 2:32 am

Post by Infiniti Graphics » Fri Dec 12, 2014 4:18 am

Hi, thanks for a brilliant extension - it works perfectly! We have one query; how can we add in a field to the spreadsheet to be able to add in a file download option for every product, just as you can if entering it in the admin panel under links?

Many thanks in advance!


Posts

Joined
Fri Dec 12, 2014 4:12 am

Post by JNeuhoff » Fri Dec 12, 2014 7:43 pm

icedge wrote:
JNeuhoff wrote:Delete all products and categories first before the Import, your DB must be corrupted somehow.
I try delete all categories, and products and the problem is the same. When i export demo products from opencart 1.5.6.4 and import the in to same opencart 1.5.64 with option to delete all products and import them there is no problem. When i import products from OC 1.5.2.1 the errors appears.
Send me a PM with a copy of your spreadsheet file to be imported. Might be an issue with your discounts or specials, perhaps they have duplicate entries in your DB or spreadsheet.

MHC Web Design
Override Engine * Integrated VQMod * Multilingual SEO * Instant Option Price Calculator * TrustPilot Reviews * Download Options * Free Download Buttons * Export/Import Tool * Template Switcher PHP/Twig


User avatar
Expert Member

Posts

Joined
Wed Dec 05, 2007 3:38 am


Post by icedge » Fri Dec 12, 2014 9:26 pm

Hello,
I write you a PM. Thank you in advanced.

New member

Posts

Joined
Sun Oct 24, 2010 2:32 am

Post by Rainforest » Tue Dec 16, 2014 3:06 am

Hi,

I'm having difficulty getting the link to show up in my admin menu. I've modified the XML to look for a line in my header similiar to another VQMOD but nothing.

The error I get is:
*****************************1_Mon.log*******************************
---------- Date: 2014-12-15 13:57:40 ~ IP : 70.91.61.141 ----------
REQUEST URI : /admin/index.php?route=module/vqmod_manager&token=ccf3f4e33def92afac409415a1a90eb8
MOD DETAILS:
modFile : /home/xxx/public_html/vqmod/xml/export_import.xml
id : Export/Import Tool for OpenCart 1.5.x
version : 1.5.x-2.19
vqmver : 2.4.1
author : mhccorp.com

File Name : admin/controller/common/header.php(1)
VQModObject::applyMod - SEARCH NOT FOUND (ABORTING MOD): <li><a href="<?php echo $information; ?>"><?php echo $text_information; ?></a></li>

----------------------------------------------------------------------

Active Member

Posts

Joined
Fri Jan 28, 2011 3:50 am

Post by JNeuhoff » Tue Dec 16, 2014 4:10 am

I think you were meant to target the admin/view/template/common/header.tpl file, not the admin/controller/common/header.php.

Other than that you are not telling us the whole story of what you did so I can't help.

MHC Web Design
Override Engine * Integrated VQMod * Multilingual SEO * Instant Option Price Calculator * TrustPilot Reviews * Download Options * Free Download Buttons * Export/Import Tool * Template Switcher PHP/Twig


User avatar
Expert Member

Posts

Joined
Wed Dec 05, 2007 3:38 am


Post by Rainforest » Tue Dec 16, 2014 5:19 am

That's the only error I'm getting in my VQMOD. I thought it was weird that it was targetting the php and not the TPL file but that's what's in the XML that I downloaded.

I basically:

Uploaded the mod as per instructions.
When I didn't see the link to the tool I went to my VQMOD to see the error
I tried editing the XML search string but nothing seems to work

Active Member

Posts

Joined
Fri Jan 28, 2011 3:50 am

Post by JNeuhoff » Tue Dec 16, 2014 5:33 am

Rainforest wrote:That's the only error I'm getting in my VQMOD. I thought it was weird that it was targetting the php and not the TPL file but that's what's in the XML that I downloaded.

I basically:

Uploaded the mod as per instructions.
When I didn't see the link to the tool I went to my VQMOD to see the error
I tried editing the XML search string but nothing seems to work
Why don't you use the original VQmod XML file coming with the Export/Import tool?

MHC Web Design
Override Engine * Integrated VQMod * Multilingual SEO * Instant Option Price Calculator * TrustPilot Reviews * Download Options * Free Download Buttons * Export/Import Tool * Template Switcher PHP/Twig


User avatar
Expert Member

Posts

Joined
Wed Dec 05, 2007 3:38 am


Post by Rainforest » Tue Dec 16, 2014 7:10 am

Hi,

Even with the original XML I still get an error. I removed teh multi-language one and downloaded the single language one. Uploaded it and here it is. :

******************************1_Mon.log*******************************
---------- Date: 2014-12-15 18:08:27 ~ IP : 108.6.136.44 ----------
REQUEST URI : /admin/index.php?route=module/vqmod_manager&token=9b63b2ec1c90bf3827de7fa8dbbc111a
MOD DETAILS:
modFile : /home/xxxx/public_html/vqmod/xml/export.xml
id : Export/Import Tool - OpenCart 1.5.5.x core file modifications
version : 1.5.5.x-1-18
vqmver : 2.4.1
author : mhccorp.com

File Name : admin/controller/common/header.php(1)
VQModObject::applyMod - SEARCH NOT FOUND (ABORTING MOD): $this->data['backup'] = $this->url->link('tool/backup', 'token=' . $this->session->data['token'], 'SSL');

Active Member

Posts

Joined
Fri Jan 28, 2011 3:50 am

Post by JNeuhoff » Tue Dec 16, 2014 11:38 pm

Can't help then. You have modified your admin/controller/common/header.php so heavily so that no Export/Import tool can be installed that way. The Export/Import tool has only been tested for standard OpenCart versions.

MHC Web Design
Override Engine * Integrated VQMod * Multilingual SEO * Instant Option Price Calculator * TrustPilot Reviews * Download Options * Free Download Buttons * Export/Import Tool * Template Switcher PHP/Twig


User avatar
Expert Member

Posts

Joined
Wed Dec 05, 2007 3:38 am


Post by Rainforest » Wed Dec 17, 2014 12:46 am

Awesome. Thanks.

Active Member

Posts

Joined
Fri Jan 28, 2011 3:50 am

Post by icedge » Thu Dec 18, 2014 12:44 am

Hello, is there any answer for my problem?

New member

Posts

Joined
Sun Oct 24, 2010 2:32 am

Post by schiggi » Fri Dec 19, 2014 7:33 pm

Hi JNeuhoff,

first of all a big thank you for your free development work. I've got 2 questions/problems:

1. I get an error message when importing via Incremental Update method:

Code: Select all

Error: Duplicate entry '17-1-1' for key 'PRIMARY'
Error No: 1062
INSERT INTO `oc_product_attribute` (`product_id`, `attribute_id`, `language_id`, `text`) VALUES ( 17, 1, 1, '3' );
I checked the table and indeed the row exists, but I thought, it will be overwritten once the incremental update is chosen.



2. Is it possible to export to xls rather than xlsx? Can I change it somewhere in the files?

Thanks,
schiggi

New member

Posts

Joined
Tue May 13, 2014 4:23 am

Post by Bossserg » Sun Jan 04, 2015 6:19 am

Good day.
Prompt for both versions multilingual 2.19
make the field for each item separately h1 and title in the import file.
Also in the admin on the item card and category to add these fields

Newbie

Posts

Joined
Sun Jan 04, 2015 6:14 am

Post by trx182 » Mon Jan 05, 2015 1:22 am

Hello!

Been using your extension before with great success, however today i ran into trouble:


Im not happy with 2.0.1.1 so im going back to 1.5.6.4. So now i have to export all the categories and products back to a fresh install of 1.5.6.4. I have downloaded the latest version of your extension to both OC platforms.


I can export everything in 2.0.1.1, but when i try to import them in 1.5.6.4 i get this:

"Uploaded file is not a valid spreadsheet file or its values are not in the expected formats!"

I checked the error log and this is what it says:

"Export/Import: Invalid number of worksheets, 8 worksheets expected"

[EDIT]
When exporting the demo products in 1.5.6.4 i get 8 worksheets, so that is probably the error? I tried to add the missing worksheets but that did not work when trying to import it again.
[/EDIT]
Last edited by trx182 on Mon Jan 05, 2015 6:08 pm, edited 1 time in total.

Newbie

Posts

Joined
Mon Jan 05, 2015 1:15 am

Post by JNeuhoff » Mon Jan 05, 2015 10:28 pm

@trx182:

Are you sure you are using V2.19 of the Export/Import tool on your 1.5.6.4 server?

Anyway, the spreadsheet formats will be different between the 2 OpenCart versions.

Export first from OpenCart 2.x.

Then do an export from your OpenCart 1.5.6.4

Copy paste from your 1st spreadsheet file to the 2nd, preservind the worksheet formats of the 2nd one. Then do the final Import to your OpenCar 1.5.6.4

MHC Web Design
Override Engine * Integrated VQMod * Multilingual SEO * Instant Option Price Calculator * TrustPilot Reviews * Download Options * Free Download Buttons * Export/Import Tool * Template Switcher PHP/Twig


User avatar
Expert Member

Posts

Joined
Wed Dec 05, 2007 3:38 am

Who is online

Users browsing this forum: No registered users and 3 guests